# Create a credential profile `POST /v1/credential-profiles` **In this build:** Real. **Scope:** `credential.write` **CLI:** `harebox ai profile new` ## Request: `CreateCredentialProfileRequest` | Field | Type | Notes | |---|---|---| | `name` (required) | `string` | | | `copy_from` | `string` | | | `make_default` | `boolean` | | ## Response: 201 `CredentialProfile` | Field | Type | Notes | |---|---|---| | `name` (required) | `string` | | | `default` | `boolean` | | | `connected` | `array` | Credential names. Secret values are never returned. | | `custom_apis` | `array` | | Errors follow [one format](../errors.html).